﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using Syncfusion.Pdf;
using Syncfusion.Pdf.Graphics;
using System.Drawing;

namespace WebSample
{
    public partial class _Default : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {

        }
        protected void generate_click(object sender, EventArgs e)
        {
            //Create a new PDF document.

            PdfDocument pdfDocument = new PdfDocument();

            //set margins

            pdfDocument.PageSettings.SetMargins(0);

            //Add a page to the PDF document

            PdfPage pdfPage = pdfDocument.Pages.Add();

            //Create a header and draw the image.

            RectangleF bounds = new RectangleF(0, 0, pdfDocument.Pages[0].GetClientSize().Width, 100);

            PdfPageTemplateElement header = new PdfPageTemplateElement(bounds);


            PdfStringFormat stringFormat = new PdfStringFormat();
            stringFormat.Alignment = PdfTextAlignment.Center;

            //Draw the image in the header.

            header.Graphics.DrawString("Syncfusion", new PdfStandardFont(PdfFontFamily.Courier, 10), PdfBrushes.Black, new RectangleF(250, 10, 100, 50), stringFormat);
            header.Graphics.DrawString("Chennai", new PdfStandardFont(PdfFontFamily.Courier, 10), PdfBrushes.Black, new RectangleF(250, 30, 100, 50), stringFormat);

            stringFormat = new PdfStringFormat();
            stringFormat.Alignment = PdfTextAlignment.Left;
            header.Graphics.DrawString(DateTime.Now.ToShortDateString().ToString(), new PdfStandardFont(PdfFontFamily.Courier, 10), PdfBrushes.Black, new RectangleF(250, 50, 100, 50), stringFormat);

            header.Graphics.DrawRectangle(PdfPens.Black, bounds);

            //Add the header at the top.

            pdfDocument.Template.Top = header;

            //Create a Page template that can be used as footer.

            PdfPageTemplateElement footer = new PdfPageTemplateElement(bounds);

            PdfFont font = new PdfStandardFont(PdfFontFamily.Helvetica, 7);

            PdfBrush brush = new PdfSolidBrush(Color.Black);

            //Create page number field.

            PdfPageNumberField pageNumber = new PdfPageNumberField(font, brush);

            //Create page count field.

            PdfPageCountField count = new PdfPageCountField(font, brush);

            //Add the fields in composite fields.

            PdfCompositeField compositeField = new PdfCompositeField(font, brush, "Page {0} / {1}", pageNumber, count);

            compositeField.Bounds = footer.Bounds;

            //Draw the composite field in footer.

            compositeField.Draw(footer.Graphics, new PointF(250, 60));

            //Add the footer template at the bottom.

            pdfDocument.Template.Bottom = footer;

            //Save and close the document.
         
            if (InsideBrowser.Checked)
                pdfDocument.Save("sample.pdf", HttpContext.Current.ApplicationInstance.Response, HttpReadType.Open);
            else
                pdfDocument.Save("sample.pdf", HttpContext.Current.ApplicationInstance.Response, HttpReadType.Save);

            pdfDocument.Close(true);
        }
    }
}
